"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const redux_1 = require("redux");
const react_redux_1 = require("react-redux");
const redux_thunk_1 = __importDefault(require("redux-thunk"));
const redux_logger_1 = require("redux-logger");
const reducers_1 = __importDefault(require("./reducers"));
const GitTemporal_1 = __importDefault(require("./GitTemporal"));
const middleware = [redux_thunk_1.default];
if (process.env.NODE_ENV !== 'production') {
    middleware.push(redux_logger_1.createLogger());
}
const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || redux_1.compose;
const store = redux_1.createStore(reducers_1.default, composeEnhancers(redux_1.applyMiddleware(...middleware)));
if (module.hot) {
    module.hot.accept('./reducers', () => {
        const nextReducer = require('./reducers/index').default;
        store.replaceReducer(nextReducer);
    });
}
class GitTemporalIndex extends react_1.default.Component {
    render() {
        const { path = '', serviceBaseUrl = '/git-temporal' } = this.props;
        return (react_1.default.createElement(react_redux_1.Provider, { store: store },
            react_1.default.createElement(GitTemporal_1.default, { path: path, serviceBaseUrl: serviceBaseUrl })));
    }
}
exports.default = GitTemporalIndex;
