"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const ToggleButton_1 = require("app/components/ToggleButton");
const Popup_1 = require("app/components/Popup");
const containerStyle = {
    overflow: 'visible',
    height: 16,
    width: 28,
};
const buttonStyle = {
    _extends: 'h2Text',
    height: 29,
    width: 14,
    margin: 0,
    padding: '0px 5px',
};
const buttonStyleMenuOpen = {
    _extends: buttonStyle,
    borderBottomRightRadius: '0px',
    borderBottomLeftRadius: '0px',
};
const menuStyle = {
    border: 'solid 2px @colors.selectable',
    borderTopRightRadius: '0px',
    marginRight: 0,
    minWidth: 180,
    right: '2px',
};
exports.ActionMenu = (props) => {
    {
        const { isMenuOpen, onMenuToggle } = props;
        const adjButtonStyle = isMenuOpen ? buttonStyleMenuOpen : buttonStyle;
        return (react_1.default.createElement("div", { style: styles_1.style(props.style, containerStyle) },
            react_1.default.createElement(ToggleButton_1.ToggleButton, { isSelected: isMenuOpen, onClick: onMenuToggle, style: adjButtonStyle }, "..."),
            react_1.default.createElement(Popup_1.Popup, { style: menuStyle, isOpen: isMenuOpen, onClose: onMenuToggle }, props.children)));
    }
};
exports.ActionMenu.displayName = 'ActionMenu';
