"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const CaretRightIcon_1 = require("./CaretRightIcon");
const CaretDownIcon_1 = require("./CaretDownIcon");
const panelStyle = {
    _extends: 'flexColumn',
    flexGrow: 0,
    flexShrink: 0,
    position: 'relative',
};
const openPanelStyle = {
    _extends: panelStyle,
    height: 'calc(100% - 185px)',
    marginBottom: '@margins.large+px',
    transition: `all .25s ease`,
};
const closedPanelStyle = Object.assign({}, panelStyle, { height: 30, transition: `all .5s ease` });
const toggleIconStyle = {
    cursor: 'pointer',
};
exports.CollapsibleGroup = ({ children, style, title, isOpen, onOpenToggle, }) => {
    const panelStyle = isOpen ? openPanelStyle : closedPanelStyle;
    return (react_1.default.createElement("div", { style: styles_1.style(panelStyle, style), onClick: onOpenToggle },
        react_1.default.createElement("div", { style: styles_1.style('flexRow') },
            react_1.default.createElement("div", { style: styles_1.style(toggleIconStyle) }, isOpen ? react_1.default.createElement(CaretDownIcon_1.CaretDownIcon, null) : react_1.default.createElement(CaretRightIcon_1.CaretRightIcon, null)),
            react_1.default.createElement("div", { style: styles_1.style('h2Text') }, title)),
        isOpen && children));
};
