"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const secondsPer = {
    year: 31556926,
    month: 2629743,
    week: 604800,
    day: 86400,
    hour: 3600,
    minute: 60,
};
function convertEpochDateTimesToTimeSpan(firstEpochTime, secondEpochTime) {
    const timeSpan = Math.abs(firstEpochTime - secondEpochTime);
    for (const timeComponent in secondsPer) {
        const seconds = secondsPer[timeComponent];
        if (timeSpan > seconds) {
            const roundedNumberForComponent = Math.round(timeSpan / seconds);
            const label = roundedNumberForComponent === 1 ? timeComponent : `${timeComponent}s`;
            return `${roundedNumberForComponent} ${label}`;
        }
    }
    return '0 seconds';
}
exports.convertEpochDateTimesToTimeSpan = convertEpochDateTimesToTimeSpan;
exports.EpochSpan = (props) => {
    return (react_1.default.createElement("span", { style: styles_1.style(props.style) }, convertEpochDateTimesToTimeSpan(props.firstEpochTime, props.secondEpochTime)));
};
exports.EpochSpan.displayName = 'EpochSpan';
