"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const AddedDeleted_1 = require("app/components/AddedDeleted");
const EpochSpan_1 = require("app/components/EpochSpan");
const EllipsizedFileName_1 = require("app/components/EllipsizedFileName");
const defaultCardStyle = {
    _extends: 'card',
    display: 'block',
};
exports.FileCard = (props) => {
    const { file, onFileClick } = props;
    return (react_1.default.createElement("div", { style: styles_1.style(defaultCardStyle, props.style) },
        react_1.default.createElement(EllipsizedFileName_1.EllipsizedFileName, { fileName: file.fileName, maxCharacters: 47, style: styles_1.style('largerText', { display: 'block' }), onClick: onFileClick }),
        react_1.default.createElement(AddedDeleted_1.AddedDeleted, { linesAdded: file.linesAdded, linesDeleted: file.linesDeleted }),
        ' ',
        react_1.default.createElement("div", { style: styles_1.style('normalText') },
            react_1.default.createElement("div", null,
                file.commits.length,
                " commits by ",
                file.authorNames.length,
                " authors"),
            react_1.default.createElement("div", null,
                "spanning",
                ' ',
                react_1.default.createElement(EpochSpan_1.EpochSpan, { firstEpochTime: file.firstCommitOn, secondEpochTime: file.lastCommitOn })))));
};
