"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const CaretLeftIcon_1 = require("app/components/CaretLeftIcon");
const CaretRightIcon_1 = require("app/components/CaretRightIcon");
const Selectable_1 = require("app/components/Selectable");
const ICON_SIZE = 16;
const defaultContainerStyle = {
    _extends: ['flexRow', 'normalText'],
    alignSelf: 'baseline',
};
const iconStyle = {
    _extends: 'flexRow',
    color: '@colors.altForeground',
    marginBottom: '5px',
};
const labelStyle = {
    _extends: 'flexColumn',
    flexGrow: 0,
    alignItems: 'center',
};
const grower = {
    flexGrow: 1,
};
exports.RevSelector = (props) => {
    return (react_1.default.createElement("div", { style: styles_1.style(defaultContainerStyle, props.style) },
        react_1.default.createElement("div", { style: styles_1.style(grower) }),
        react_1.default.createElement(Selectable_1.Selectable, { style: styles_1.style(iconStyle), onClick: props.onPreviousRevClick },
            react_1.default.createElement(CaretLeftIcon_1.CaretLeftIcon, { height: ICON_SIZE, width: ICON_SIZE })),
        react_1.default.createElement("div", { style: styles_1.style(labelStyle) }, props.children),
        react_1.default.createElement(Selectable_1.Selectable, { style: styles_1.style(iconStyle), onClick: props.onNextRevClick },
            react_1.default.createElement(CaretRightIcon_1.CaretRightIcon, { height: ICON_SIZE, width: ICON_SIZE })),
        react_1.default.createElement("div", { style: styles_1.style(grower) })));
};
exports.RevSelector.displayName = 'RevSelector';
