"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const SpinnerImage_1 = require("app/components/SpinnerImage");
const containerStyle = {
    display: 'block',
    height: '100%',
    width: '100%',
    position: 'relative',
};
const backdropStyle = {
    position: 'absolute',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    top: 0,
    left: 0,
    height: '100%',
    width: '100%',
    zIndex: '5',
    backgroundColor: '@colors.background',
    opacity: 0.9,
};
exports.SpinnerContainer = (props) => {
    const { isSpinning, opaque, spinnerImageSize } = props;
    return (react_1.default.createElement("div", { style: styles_1.style(containerStyle, props.style) },
        renderSpinner(isSpinning, opaque, spinnerImageSize),
        !(isSpinning && opaque) && props.children));
};
const renderSpinner = (isSpinning, opaque, spinnerImageSize) => {
    if (!isSpinning) {
        return null;
    }
    const s = backdropStyle;
    if (opaque) {
        s.opacity = 1;
    }
    return (react_1.default.createElement("div", { style: styles_1.style(backdropStyle) },
        react_1.default.createElement(SpinnerImage_1.SpinnerImage, { width: spinnerImageSize, height: spinnerImageSize })));
};
