"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_redux_1 = require("react-redux");
const styles_1 = require("app/styles");
const selectors_1 = require("app/selectors");
const RadioMenuItem_1 = require("app/components/RadioMenuItem");
const ActionMenu_1 = require("app/components/ActionMenu");
const actions_1 = require("app/actions");
const ActionTypes_1 = require("app/actions/ActionTypes");
const containerStyle = {
    _extends: 'normalText',
    position: 'absolute',
    right: 10,
};
class AuthorsActionMenu extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = { isMenuOpen: false };
        this.onMenuToggle = () => {
            this.setState({ isMenuOpen: !this.state.isMenuOpen });
        };
    }
    render() {
        const { authorsContainerSort } = this.props;
        return (react_1.default.createElement(ActionMenu_1.ActionMenu, { style: styles_1.style(containerStyle), isMenuOpen: this.state.isMenuOpen, onMenuToggle: this.onMenuToggle },
            react_1.default.createElement("div", { style: styles_1.style('h5Text') }, "Sort by"),
            react_1.default.createElement(RadioMenuItem_1.RadioMenuItem, { testId: "sortTime", onClick: () => {
                    this.sortAuthors(ActionTypes_1.AuthorsContainerSorts.TIME);
                }, isSelected: authorsContainerSort === ActionTypes_1.AuthorsContainerSorts.TIME }, "by time"),
            react_1.default.createElement(RadioMenuItem_1.RadioMenuItem, { testId: "sortCommits", onClick: () => {
                    this.sortAuthors(ActionTypes_1.AuthorsContainerSorts.COMMITS);
                }, isSelected: authorsContainerSort === ActionTypes_1.AuthorsContainerSorts.COMMITS }, "by number of commits"),
            react_1.default.createElement(RadioMenuItem_1.RadioMenuItem, { testId: "sortLines", onClick: () => {
                    this.sortAuthors(ActionTypes_1.AuthorsContainerSorts.LINES);
                }, isSelected: authorsContainerSort === ActionTypes_1.AuthorsContainerSorts.LINES }, "by lines changed")));
    }
    sortAuthors(newAuthorsContainerSort) {
        this.props.dispatch(actions_1.setAuthorsContainerSort(newAuthorsContainerSort));
        this.setState({ isMenuOpen: false });
    }
}
exports.AuthorsActionMenu = AuthorsActionMenu;
exports.default = react_redux_1.connect(selectors_1.getAuthorsActionMenuState)(AuthorsActionMenu);
