"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styles_1 = require("app/styles");
const react_redux_1 = require("react-redux");
const stateVars_1 = require("app/selectors/stateVars");
const actions_1 = require("app/actions");
const Stats_1 = require("app/containers/Stats");
const Authors_1 = require("app/containers/Authors");
const Files_1 = require("app/containers/Files");
const Commits_1 = require("app/containers/Commits");
const Search_1 = require("app/containers/Search");
const ResetLink_1 = require("app/components/ResetLink");
const CollapsibleSidePanel_1 = require("app/components/CollapsibleSidePanel");
const containerStyle = {
    _extends: ['altPanel'],
    overflow: 'hidden',
};
const searchAndResetStyle = {
    position: 'relative',
    minHeight: 60,
};
const resetStyle = {
    position: 'absolute',
    right: 5,
};
const resetHighlightsLinkStyle = {
    marginLeft: '@margins.large+px',
    marginTop: '@margins.small+px',
};
exports.SidePanel = () => {
    const highlightedCommitIds = react_redux_1.useSelector(stateVars_1.getHighlightedCommitIds);
    const dispatch = react_redux_1.useDispatch();
    return (react_1.default.createElement(CollapsibleSidePanel_1.CollapsibleSidePanel, { style: containerStyle, onOpen: didOpenSidePanel, onClose: didCloseSidePanel },
        react_1.default.createElement("div", { style: { flexGrow: 1, overflow: 'hidden' } },
            react_1.default.createElement(Stats_1.Stats, null),
            react_1.default.createElement("div", { style: styles_1.style(searchAndResetStyle) },
                react_1.default.createElement(Search_1.Search, null),
                react_1.default.createElement(ResetLink_1.ResetLink, { style: styles_1.style(resetStyle), onClick: onResetClick }, "Reset Search")),
            react_1.default.createElement(Authors_1.Authors, null),
            react_1.default.createElement(Commits_1.Commits, null),
            react_1.default.createElement(Files_1.Files, null))));
    function onResetClick() {
        dispatch(actions_1.highlightCommits([]));
        dispatch(actions_1.setSearch(null));
    }
    function didOpenSidePanel() {
        dispatch(actions_1.requestRerender());
    }
    function didCloseSidePanel() {
        dispatch(actions_1.requestRerender());
    }
};
