"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_redux_1 = require("react-redux");
const styles_1 = require("app/styles");
const commits_1 = require("app/selectors/commits");
const StackedLabel_1 = require("app/components/StackedLabel");
const EpochSpan_1 = require("app/components/EpochSpan");
const ExplodeOnChange_1 = require("app/components/ExplodeOnChange");
const outerStyle = {
    _extends: ['flexRow'],
    marginBottom: '@margins.medium+px',
    paddingLeft: '@margins.medium+px',
    flexShrink: 0,
};
exports.Stats = () => {
    const { minAuthorDate, maxAuthorDate } = react_redux_1.useSelector(commits_1.getAuthorDateRange);
    return (react_1.default.createElement("div", { style: styles_1.style(outerStyle) },
        react_1.default.createElement(StackedLabel_1.StackedLabel, { label: "Selected Time Span" },
            react_1.default.createElement(ExplodeOnChange_1.ExplodeOnChange, { value: minAuthorDate + maxAuthorDate },
                react_1.default.createElement(EpochSpan_1.EpochSpan, { firstEpochTime: minAuthorDate, secondEpochTime: maxAuthorDate }))),
        react_1.default.createElement(StackedLabel_1.StackedLabel, { label: "Last Commit" },
            react_1.default.createElement("div", null,
                react_1.default.createElement(ExplodeOnChange_1.ExplodeOnChange, { value: maxAuthorDate },
                    react_1.default.createElement(EpochSpan_1.EpochSpan, { firstEpochTime: maxAuthorDate, secondEpochTime: Date.now() / 1000 }),
                    react_1.default.createElement("span", null, " ago"))))));
};
