"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ActionTypes_1 = require("app/actions/ActionTypes");
exports.rerenderRequestedAt = (state = null, action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.REQUEST_RERENDER:
            return Date.now();
        default:
            return state;
    }
};
exports.authorsContainerSort = (state = ActionTypes_1.AuthorsContainerSorts.TIME, action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.SET_AUTHORS_CONTAINER_SORT:
            return action.sort;
    }
    return state;
};
exports.search = (state = '', action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.SET_SEARCH:
            return action.search;
    }
    return state;
};
exports.commitsContainerSort = (state = ActionTypes_1.CommitsContainerSorts.TIME, action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.SET_COMMITS_CONTAINER_SORT:
            return action.sort;
    }
    return state;
};
exports.filesContainerSort = (state = ActionTypes_1.FilesContainerSorts.TIME, action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.SET_FILES_CONTAINER_SORT:
            return action.sort;
    }
    return state;
};
exports.openSidePanelGroup = (state = ActionTypes_1.CollapsibleSidePanelGroups.AUTHORS, action) => {
    switch (action.type) {
        case ActionTypes_1.ActionTypes.SET_OPEN_SIDEPANEL_GROUP:
            return action.group;
    }
    return state;
};
