"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reselect_1 = require("reselect");
const stateVars_1 = require("./stateVars");
const authors_1 = require("./authors");
const commits_1 = require("./commits");
exports.getGitTemporalContainerState = reselect_1.createSelector(stateVars_1.getSelectedPath, commits_1.getFilteredCommits, stateVars_1.getIsFetching, (selectedPath, commits, isFetching) => ({
    selectedPath,
    commits,
    isFetching,
}));
exports.getCommitsActionMenuState = reselect_1.createSelector(stateVars_1.getCommitsContainerSort, commitsContainerSort => ({
    commitsContainerSort,
}));
exports.getAuthorsActionMenuState = reselect_1.createSelector(stateVars_1.getAuthorsContainerSort, authorsContainerSort => ({
    authorsContainerSort,
}));
exports.getFilesActionMenuState = reselect_1.createSelector(stateVars_1.getFilesContainerSort, filesContainerSort => ({
    filesContainerSort,
}));
exports.getTimeplotContainerState = reselect_1.createSelector(stateVars_1.getSelectedPath, stateVars_1.getHighlightedCommitIds, commits_1.getCommitsForTimeplot, authors_1.getTimeplotAuthorsAndCommits, stateVars_1.getIsFetching, stateVars_1.getStartDate, stateVars_1.getEndDate, stateVars_1.getRerenderRequestedAt, stateVars_1.getEarliestCommitDate, stateVars_1.getLatestCommitDate, stateVars_1.getTotalCommits, (selectedPath, highlightedCommitIds, commits, authorsAndCommits, isFetching, startDate, endDate, rerenderRequestedAt, earliestCommitDate, latestCommitDate, totalCommits) => ({
    selectedPath,
    highlightedCommitIds,
    commits,
    isFetching,
    startDate,
    endDate,
    rerenderRequestedAt,
    earliestCommitDate,
    latestCommitDate,
    totalCommits,
    authors: authorsAndCommits.length,
}));
