"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dates_1 = require("./dates");
function getUTCDateOfCommit(commit) {
    return dates_1.dateFromEpochDate(commit.authorDate);
}
exports.getUTCDateOfCommit = getUTCDateOfCommit;
function getHourOfCommit(commit) {
    const d = getUTCDateOfCommit(commit);
    return d.getHours();
}
exports.getHourOfCommit = getHourOfCommit;
function filterCommitsForSpan(commits, dateStart, dateEnd) {
    return commits.filter(commit => {
        const commitDate = getUTCDateOfCommit(commit);
        return dateStart <= commitDate && commitDate <= dateEnd;
    });
}
exports.filterCommitsForSpan = filterCommitsForSpan;
function first20CommitsEqual(commitsA, commitsB) {
    if (commitsA.length !== commitsB.length) {
        return false;
    }
    for (let i = 0; i < 20 && i < commitsA.length; i++) {
        if (commitsA[i].id !== commitsB[i].id) {
            return false;
        }
    }
    return true;
}
exports.first20CommitsEqual = first20CommitsEqual;
