"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function debounce(fn, delay) {
    let timerId;
    return function (...args) {
        if (timerId) {
            clearTimeout(timerId);
        }
        timerId = setTimeout(() => {
            fn(...args);
            timerId = null;
        }, delay);
    };
}
exports.debounce = debounce;
