"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function throttle(fn, delay) {
    let lastCall = 0;
    return function (...args) {
        const now = new Date().getTime();
        if (now - lastCall < delay) {
            return;
        }
        lastCall = now;
        return fn(...args);
    };
}
exports.throttle = throttle;
