"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const redux_1 = require("redux");
const react_redux_1 = require("react-redux");
const redux_thunk_1 = __importDefault(require("redux-thunk"));
const reducers_1 = __importDefault(require("../app/reducers"));
const reduxStore_1 = require("./mocks/reduxStore");
const middleware = [redux_thunk_1.default];
function mockReduxStore(initialStore = {}) {
    return redux_1.createStore(reducers_1.default, Object.assign({}, reduxStore_1.ReduxStoreMock, initialStore), redux_1.compose(redux_1.applyMiddleware(...middleware)));
}
exports.mockReduxStore = mockReduxStore;
function mountConnected(children, initialStore = {}) {
    const store = mockReduxStore(initialStore);
    jest.spyOn(store, 'dispatch');
    const wrapper = react_2.render(react_1.default.createElement(react_redux_1.Provider, { store: store }, children));
    return { store, wrapper };
}
exports.mountConnected = mountConnected;
